@echo off

REM dbinstaller.bat
REM To install Analytics Datamart
SETLOCAL EnableDelayedExpansion
SET PATH="C:\PROGRA~1\ibm\sqllib\bin;C:\PROGRA~1\ibm\sqllib\adm;C:\PROGRA~1\ibm\sqllib\misc;C:\PROGRA~1\ibm\bin";%PATH%
REM SET FILENAME="tadfdcdbinstaller.cfg"
REM SET FILENAME1="tadfdcdbinstaller_p.cfg"
SET JAVA=java
SET CLASSNAME=com.ibm.sunset.dbcreation.LynxDatabaseInstaller
SET CLASSPATH=.\AnalyticsDatabaseInstaller.jar;.\lib\log4j-1.2.15.jar;.\lib\db2jcc.jar;.\lib\db2jcc_license_cu.jar;%CLASSPATH%

REM Check command line arguments

IF '%1' == ''  (
	echo Error Java Home directory not specified
	goto USAGE
)

IF '%1' == '-f'  (
	echo Error Invalid option, Java Home directory not specified
	goto USAGE
)

IF '%2' == '-f' IF '%3' == ''  (
	echo Error Configuration File is not supplied 
	goto USAGE
)


IF '%2' == ''  (
	
	SET JAVA_HOME=%1
	SET FILENAME="tadfdcdbinstaller.cfg"
	SET FILENAME1="tadfdcdbinstaller_p.cfg"
	goto MAIN
)

IF '%2' == '-f'  (
	SET FILENAME=%3
	SET JAVA_HOME=%1
	IF NOT .%4. == '' (
		SET FILENAME1=%4
	)
	goto MAIN
)

IF NOT .%2. == '-f' (
	echo Error -f option missing
	goto USAGE
)



:MAIN
SET PATH="C:\PROGRA~1\ibm\sqllib\bin;C:\PROGRA~1\ibm\sqllib\adm;C:\PROGRA~1\ibm\sqllib\misc;C:\PROGRA~1\ibm\bin";"%JAVA_HOME%"\;"%JAVA_HOME%"\bin;"%JAVA_HOME%"\jre\bin;%PATH%

REM Check if the specified JAVA_HOME directory exists

IF NOT EXIST %JAVA_HOME% (
  echo Error specified Java Home directory doesn't exist
  goto USAGE
 )


IF DEFINED FILENAME1 (
    ECHO Configuration file %FILENAME1% is specified
	ECHO Configuration file %FILENAME% is specified
	%JAVA% %CLASSNAME% %FILENAME% %FILENAME1%
) ELSE (
   ECHO Configuration file %FILENAME% is specified
   %JAVA% %CLASSNAME% %FILENAME%
)


REM %JAVA% %CLASSNAME% %FILENAME% %FILENAME1%


set status=%ERRORLEVEL%
REM echo %status%

if %status% NEQ 0 (
	echo Program failed. Please see log file
	)

goto ENDOFSCRIPT

:USAGE
echo Usage:     dbinstaller.bat Java_Home [-f cfg_filename_vmware cfg_filename_power]
echo            where filename = custom configuration file
echo                  Java_Home = Path to Java Home, Mandatory parameter
echo            Default filenames  tadfdcdbinstaller.cfg, tadfdcdbinstaller_p.cfg

:ENDOFSCRIPT
EXIT /B %status%
REM End program
