@echo off

REM fed_admin.bat
REM To configure Federation server
SETLOCAL EnableDelayedExpansion
SET PATH="C:\PROGRA~1\ibm\sqllib\bin;C:\PROGRA~1\ibm\sqllib\adm;C:\PROGRA~1\ibm\sqllib\misc;C:\PROGRA~1\ibm\bin";%PATH%
SET FILENAME="fed_config.cfg"
SET JAVA=java
SET CLASSNAME=com.ibm.sunset.dbcreation.FederationWrapper
SET CLASSPATH=.\federation.jar;.\MessageRetrieval.jar;.\lib\log4j-1.2.15.jar;.\lib\dlutil.jar;.;%CLASSPATH%
SET TMP_F_NAME=version.txt
REM Check command line arguments

set argC=0
set INTERACTIVE=
set VERIFICATION_MODE=
SET FLAG=0

for %%x in (%*) do Set /A argC+=1

if %argC% GTR 0 (
	
	if .%1. == .-i. (
			call :CHECK_JAVA 
			IF !FLAG! EQU 0 (
				echo Invalid options
				goto USAGE
			) 
	) else (
		if .%1. == .-v. (
			call :CHECK_JAVA 
			IF !FLAG! EQU 0 (
				echo Invalid options
				goto USAGE
			) 
		) else (
			if .%1. == .-f. (
				call :CHECK_JAVA 
				IF !FLAG! EQU 0 (
					echo Invalid options
					goto USAGE
				) 
			) else (
				SET JAVA_HOME=%1
				IF NOT EXIST !JAVA_HOME! (
				echo Invalid options
				goto USAGE
				)
			)
		)
	)
) 

goto MAIN

:MAIN
SET PATH="C:\PROGRA~1\ibm\sqllib\bin;C:\PROGRA~1\ibm\sqllib\adm;C:\PROGRA~1\ibm\sqllib\misc;C:\PROGRA~1\ibm\bin";"%JAVA_HOME%"\;"%JAVA_HOME%"\bin;"%JAVA_HOME%"\jre\bin;%PATH%
%JAVA% %CLASSNAME% %*
set status=%ERRORLEVEL%
REM echo %status%

if %status% NEQ 0 (
	echo Program failed. Please see log file
)
IF EXIST "!TMP_F_NAME!" (
DEL !TMP_F_NAME!
)
goto EXIT

:CHECK_JAVA
java -fullversion 2> !TMP_F_NAME!
SET st=%ERRORLEVEL% 
if %st% EQU 0 (
  SET FLAG=1
) ELSE (
  ECHO CAN NOT FIND JAVA 
)

goto:EOF

:USAGE
echo Usage:     	fed_admin.bat/.sh [JAVA_HOME] [-i] [-v][-f filename]  
echo            	where  JAVA_HOME = Path to Java Home. If JAVA_HOME is not already set, it should be 1st argument to the script.	
echo             	-i runs script in interactive mode
echo            	-v runs in DBA Verification Mode
echo                filename = custom configuration file
echo            	Default filename is fed_config.cfg
echo            	If no option is specified then federation server is configured and views for all utilization tables are created


:EXIT /B %status%



