#---------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corporation 2012. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication
# or disclosure restricted by GSA ADP Schedule Contract
# with IBM Corp.
#---------------------------------------------------------------------

import sys
import java.util as util
import java.io as javaio

def deployWar():
	print "warLocation:" + warLocation
	print "contextRoot:" + contextRoot
	print "contentURI:" + contentURI

	print "Installing the widget module in the isc application" 
	AdminApp.update("isc", 'modulefile', '[-operation addupdate -contents ' + warLocation + ' -contenturi ' + contentURI + ' -usedefaultbindings' + ' -contextroot ' + contextRoot + ' -MapWebModToVH [[.* .* default_host]]]' )
   
	print "Saving changes after the installation"
	AdminConfig.save()
	
#-----------------------------------------------------------------
# Main
#-----------------------------------------------------------------

contextRoot = sys.argv[1]
contentURI  = sys.argv[2]
warLocation = "\"" + sys.argv[0] + '/' + contentURI + "\""

deployWar()

